# GstSourceBufferList

The Source Buffer List is a list of GstSourceBuffers that can be indexed numerically and monitored for changes. The list itself cannot be modified through this interface, though the Source Buffers it holds can be modified after retrieval.

It is used by GstMediaSource to provide direct access to its child GstSourceBuffers through source-buffers as well as informing clients which of the Source Buffers are active through active-source-buffers.

## GstSourceBufferList

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstSourceBufferList

Since : 1.24

### Class structure

#### GstSourceBufferListClass

##### Fields

`parent_class` (GstObjectClass) –
No description available

### GstMse.SourceBufferListClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

### GstMse.SourceBufferListClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

## GstMse.SourceBufferList

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstMse.SourceBufferList

Since : 1.24

## GstMse.SourceBufferList

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstMse.SourceBufferList

Since : 1.24

### Methods

#### gst_source_buffer_list_get_length

    guint
    gst_source_buffer_list_get_length (GstSourceBufferList * self)

Specification

Parameters:

`self` –

GstSourceBufferList instance

Returns –

The number of GstSourceBuffer objects in the list

Since : 1.24

#### GstMse.SourceBufferList.prototype.get_length

    function GstMse.SourceBufferList.prototype.get_length(): {
        // javascript wrapper for 'gst_source_buffer_list_get_length'
    }

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

GstMse.SourceBufferList instance

Returns (Number) –

The number of GstMse.SourceBuffer objects in the list

Since : 1.24

#### GstMse.SourceBufferList.get_length

    def GstMse.SourceBufferList.get_length (self):
        #python wrapper for 'gst_source_buffer_list_get_length'

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

GstMse.SourceBufferList instance

Returns (int) –

The number of GstMse.SourceBuffer objects in the list

Since : 1.24

#### gst_source_buffer_list_index

    GstSourceBuffer *
    gst_source_buffer_list_index (GstSourceBufferList * self,
                                  guint index)

Retrieves the GstSourceBuffer at index from self. If index is greater than the highest index in the list, it will return `NULL`.

Specification

Parameters:

`self` –

GstSourceBufferList instance

`index` –

index of requested Source Buffer

Returns ( [transfer: full][nullable]) –

The requested GstSourceBuffer or `NULL`

Since : 1.24

#### GstMse.SourceBufferList.prototype.index

    function GstMse.SourceBufferList.prototype.index(index: Number): {
        // javascript wrapper for 'gst_source_buffer_list_index'
    }

Retrieves the GstMse.SourceBuffer at index from self. If index is greater than the highest index in the list, it will return `NULL`.

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

GstMse.SourceBufferList instance

`index` (Number) –

index of requested Source Buffer

Returns (GstMse.SourceBuffer) –

The requested GstMse.SourceBuffer or `NULL`

Since : 1.24

#### GstMse.SourceBufferList.index

    def GstMse.SourceBufferList.index (self, index):
        #python wrapper for 'gst_source_buffer_list_index'

Retrieves the GstMse.SourceBuffer at index from self. If index is greater than the highest index in the list, it will return `NULL`.

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

GstMse.SourceBufferList instance

`index` (int) –

index of requested Source Buffer

Returns (GstMse.SourceBuffer) –

The requested GstMse.SourceBuffer or `NULL`

Since : 1.24

### Signals

#### on-sourcebuffer-added

    on_sourcebuffer_added_callback (GstSourceBufferList * self,
                                    gpointer user_data)

Emitted when a GstSourceBuffer has been added to this list.

Specification

Parameters:

`self` –

The GstSourceBufferList that has just added a GstSourceBuffer

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### on-sourcebuffer-added

    function on_sourcebuffer_added_callback(self: GstMse.SourceBufferList, user_data: Object): {
        // javascript callback for the 'on-sourcebuffer-added' signal
    }

Emitted when a GstMse.SourceBuffer has been added to this list.

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

The GstMse.SourceBufferList that has just added a GstMse.SourceBuffer

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### on-sourcebuffer-added

    def on_sourcebuffer_added_callback (self, *user_data):
        #python callback for the 'on-sourcebuffer-added' signal

Emitted when a GstMse.SourceBuffer has been added to this list.

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

The GstMse.SourceBufferList that has just added a GstMse.SourceBuffer

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

#### on-sourcebuffer-removed

    on_sourcebuffer_removed_callback (GstSourceBufferList * self,
                                      gpointer user_data)

Emitted when a GstSourceBuffer has been removed from this list.

Specification

Parameters:

`self` –

The GstSourceBufferList that has just removed a GstSourceBuffer

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### on-sourcebuffer-removed

    function on_sourcebuffer_removed_callback(self: GstMse.SourceBufferList, user_data: Object): {
        // javascript callback for the 'on-sourcebuffer-removed' signal
    }

Emitted when a GstMse.SourceBuffer has been removed from this list.

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

The GstMse.SourceBufferList that has just removed a GstMse.SourceBuffer

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### on-sourcebuffer-removed

    def on_sourcebuffer_removed_callback (self, *user_data):
        #python callback for the 'on-sourcebuffer-removed' signal

Emitted when a GstMse.SourceBuffer has been removed from this list.

Specification

Parameters:

`self` (GstMse.SourceBufferList) –

The GstMse.SourceBufferList that has just removed a GstMse.SourceBuffer

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

### Properties

#### length

    “length” gulong

The number of GstSourceBuffers contained by this structure

Specification

Flags : Read

Since : 1.24

#### length

    “length” Number

The number of GstMse.SourceBuffers contained by this structure

Specification

Flags : Read

Since : 1.24

#### length

    “self.props.length” int

The number of GstMse.SourceBuffers contained by this structure

Specification

Flags : Read

Since : 1.24

The results of the search are